sayren Docs
쿠폰

쿠폰 통계 조회

GET
/v1/coupons/{couponId}/stats

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Path Parameters

couponId*string

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/v1/coupons/string/stats' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "couponId": "string",    "issuedCount": 0,    "revokedCount": 0,    "reservedCount": 0,    "usedCount": 0,    "restoredCount": 0,    "releasedCount": 0,    "discountTotal": 0,    "orderPaymentTotal": 0  },  "error": null}